Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1382103 - Kolourpaint crached when started in KDE wayland environment
Summary: Kolourpaint crached when started in KDE wayland environment
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kolourpaint
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: KDEWaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-05 18:28 UTC by RJ
Modified: 2017-12-12 10:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:03:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
crash (deleted)
2016-10-05 18:28 UTC, RJ
no flags Details
one more (deleted)
2016-10-06 17:47 UTC, RJ
no flags Details


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 372136 0 None None None 2016-11-13 12:47:37 UTC

Description RJ 2016-10-05 18:28:52 UTC
Created attachment 1207663 [details]
crash

Description of problem:
kolourpaint crashed in wayland session

Version-Release number of selected component (if applicable):
16.08.1

How reproducible:
always

Steps to Reproduce:
1. start KDE wayland session
2. open Kolourpaint


Actual results:
attached below

Expected results:
kolourpaint works

Additional info:

Comment 1 Rex Dieter 2016-10-06 13:55:03 UTC
Thread 1 (Thread 0x7f1044021940 (LWP 2571)):
[KCrash Handler]
#6  QMimeData::hasText (this=0x0) at kernel/qmimedata.cpp:424
#7  0x000055b29b2e4b36 in kpMainWindow::slotEnablePaste() ()
#8  0x000055b29b2e503e in kpMainWindow::setupEditMenuActions() ()
#9  0x000055b29b2e1a11 in kpMainWindow::setupActions() ()
#10 0x000055b29b2e3ac5 in kpMainWindow::init() ()
#11 0x000055b29b2e3fcf in kpMainWindow::kpMainWindow() ()
#12 0x000055b29b2a569a in main ()

missing debuginfo , so not very helpful (yet)

Comment 2 RJ 2016-10-06 17:47:35 UTC
Created attachment 1208002 [details]
one more

This one is much bigger.

Comment 3 RJ 2016-10-06 19:40:22 UTC
Works fine with xcb window manager.

Comment 5 Fedora End Of Life 2017-11-16 19:33:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:03:07 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.